Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::CharSampEnum Class Reference

`#include <char_samp_enum.h>`

List of all members.

## Public Member Functions

| CharSampEnum ()
virtual | ~CharSampEnum ()
virtual bool | EnumCharSamp (CharSamp *char_samp, float progress)=0

## Detailed Description

Definition at line 30 of file char_samp_enum.h.

## Constructor & Destructor Documentation

tesseract::CharSampEnum::CharSampEnum | ( |  | ) |

Definition at line 24 of file char_samp_enum.cpp.

{
}

tesseract::CharSampEnum::~CharSampEnum | ( |  | ) |

virtual

Definition at line 27 of file char_samp_enum.cpp.

{
}

## Member Function Documentation

virtual bool tesseract::CharSampEnum::EnumCharSamp | ( | CharSamp * | char_samp,
|  | float | progress
| ) |  |

pure virtual

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/cube/char_samp_enum.h
- /mnt/data/src/tesseract-ocr/cube/char_samp_enum.cpp